/* دیزاین بادی */
.top-blog {
    background-color: #fff;
    border-radius: 15px;
    padding: 15px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}

.description-body {
    background-color: #fff;
    border-radius: 15px;
    padding: 15px 15px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}
.description-body img {
    border-radius: 15px;
}
.description-body h2 {
padding-top: 15px;
}
.blog-body .title-breadcrumbs h1 {
    font-size: 25px;
    font-weight: bold;
    line-height: 1.6em;
    margin: 0px !important;
    color: #111;
}

.blog-body .title-breadcrumbs .breadcrumbs {
    font-size: 12px !important;
    margin-bottom: 8px;
    color: #5f5f5f;
}

.blog-body .breadcrumbs {
    display: -webkit-box !important;
    -webkit-box-orient: vertical !important;
    -webkit-line-clamp: 1 !important;
    /* تعداد خطوط مورد نظر */
    overflow: hidden !important;
    text-overflow: ellipsis !important;
}

.img-box img {
    border-radius: 20px;
    height: 500px;
    object-fit: cover;
}

@media screen and (max-width: 992px) {
    .img-box img {
        border-radius: 20px;
        height: 250px;
        object-fit: cover;
    }

    .sticky-column {
        position: relative !important;
        top: 10px !important;
    }

    .blog-body .info-icons {
        font-size: 10px !important;
        color: #5f5f5f;
        fill: #9c0f48;
    }

    .blog-body .info-icons-mobile {
        font-size: 12px !important;
        color: #5f5f5f;
        fill: #9c0f48;
        display: block;
    }

    .blog-body .info-icons-desktop {
        display: none !important;
        font-size: 12px !important;
        color: #5f5f5f;
        fill: #9c0f48;
    }

    .blog-body .breadcrumbs {
        display: none !important;
    }
}

@media screen and (min-width: 993px) {
    .way-back {
        display: none !important;
    }

    .blog-body .info-icons-desktop {
        font-size: 12px !important;
        color: #5f5f5f;
        fill: #9c0f48;
        display: block;
    }

    .blog-body .info-icons-mobile {
        display: none !important;
        font-size: 12px !important;
        color: #5f5f5f;
        fill: #9c0f48;
    }
}

.sticky-column {
    top: 10px;
}

.table-of-content .table-list {
    max-height: 300px;
    overflow-y: scroll;
    font-size: 15px;
    line-height: 1.6em;
}

.table-of-content .title-table {
    font-size: 20px;
    font-weight: bold;
    line-height: 1.6em;
}

.text-box {
    font-size: 15px;
    line-height: 1.6em;
}

.text-box a {
    color: #911a56 !important;
}

.text-box h2 {
    font-size: 24px;
    line-height: 1.6em;
    font-weight: bold !important;
}

.text-box h3 {
    font-size: 20px;
    line-height: 1.6em;
    font-weight: bold !important;
}

.related-post {
    background-color: #fff;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}



.column-title::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 10px;
    margin-right: -10px;
    margin-left: 5px;
    background-color: #911a56;
    border-radius: 15px 0px 0px 15px;
}

.related-post .title-post {
    font-size: 15px;
    display: -webkit-box !important;
    -webkit-box-orient: vertical !important;
    -webkit-line-clamp: 1 !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
}

.related-post .date {
    font-size: 13px;
    color: #5f5f5f;
}

.post-catagory {
    background-color: #fff;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}

.post-catagory ul li a {
    text-decoration: none;
    font-size: 15px;
    color: #111;
    line-height: 2em;
}

.post-catagory ul li::marker {
    color: #911a56;
}

/* باکس کامنت */
.comment-title {
    font-weight: bold;
    font-size: 20px;
    color: #111;

}

.comment-title::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 10px;
    margin-right: -15px;
    margin-left: 5px;
    background-color: #911a56;
    border-radius: 15px 0px 0px 15px;
}

.comments-form div {
    margin-bottom: 10px;
}

.comments-form label {
    display: block;
    margin-bottom: 5px;
}

.comments-form input[type="text"],
.comments-form input[type="email"],
.comments-form textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
}

.comments-form button {
    padding: 10px 35px;
    background-color: #911a56;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 10px;
}

.comments-form button:hover {
    background-color: #fcf4e9;
    color: #911a56;
}
/*swiper in single posts*/

.swiper-button-next::after,
.swiper-button-prev::after {
    display: none !important;
}

.swiper-button-next,
.swiper-button-prev {
    width: 26px !important;
    height: 26px !important;
    background-color: #fcf4e9 !important;
    border-radius: 100% !important;
    padding: 5px !important;
    display: flex !important;
    opacity: 0.8 !important;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    opacity: 1 !important;
    transition: opacity ease 0.4s !important;
}

.swiper-pagination {
    position: relative !important;
    bottom: 10px !important;
    top: 5px !important;
    z-index: 10;
}

.swiper-pagination {
    position: relative !important;
    bottom: 10px !important;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
    gap: 5px !important;
}

.swiper-pagination-bullet {
    width: 30px !important; /* طول خط */
    height: 3px !important; /* ضخامت خط */
    background-color: #9c0f48 !important; /* رنگ خطوط */
    border-radius: 0 !important; /* حذف گردی */
    opacity: 0.4 !important; /* شفافیت پیش‌فرض */
    transition: opacity 0.3s !important;
    margin-bottom: 24px!important;
}

.swiper-pagination-bullet-active {
    opacity: 1 !important; /* شفافیت خط فعال */
    background-color: #9c0f48 !important; /* رنگ خط فعال */
}